curl --request POST \
--url https://api.entendre.finance/v1/sources/{source_id}/imports \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '{}'{
"data": {
"id": "job_wallet-sync:realtime:507f1f77bcf86cd799439011",
"source_id": "wal_507f1f77bcf86cd799439011",
"status": "queued"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "UNPROCESSABLE_CONTENT",
"message": "A dated backfill was requested for an exchange source, or the source type has no import job.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "NOT_IMPLEMENTED",
"message": "Import for bank accounts is handled automatically via Plaid webhooks",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Sources
Import transactions from source
Refreshes a source or imports older transactions.
POST
/
v1
/
sources
/
{source_id}
/
imports
curl --request POST \
--url https://api.entendre.finance/v1/sources/{source_id}/imports \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '{}'{
"data": {
"id": "job_wallet-sync:realtime:507f1f77bcf86cd799439011",
"source_id": "wal_507f1f77bcf86cd799439011",
"status": "queued"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "UNPROCESSABLE_CONTENT",
"message": "A dated backfill was requested for an exchange source, or the source type has no import job.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "NOT_IMPLEMENTED",
"message": "Import for bank accounts is handled automatically via Plaid webhooks",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Omit the body to refresh from the saved cursor. Send
HTTP 202 means that the import is queued, not that it is complete. No operation reports the import progress. To import an uploaded statement, use Create source with
start_date to import older wallet transactions.
| Source type | Refresh | Import from start_date |
|---|---|---|
| Wallet | Supported | Supported |
| Exchange | Supported | HTTP 422 |
| Plaid | HTTP 501: Plaid imports run through webhooks | HTTP 501 |
| Other types | HTTP 422 | HTTP 422 |
document_id.Authorizations
Your organization API key. Some operations also need a key that is associated with a user; their pages say so.
Headers
Unique key for this operation. Retry with the same key and request body after a timeout. Keys are retained for at least 24 hours.
Required string length:
1 - 255Path Parameters
ID of the source.
Minimum string length:
1Body
application/json
Response
Accepted. The import is queued. No operation reports its progress.
Confirms that a transaction import is queued for one source. status is queued; it does not show completion. No operation reports the import progress.
Show child attributes
Show child attributes